import {Component, Input} from '@angular/core';
import {Character} from "../../project/game-model/characters/Character";
import {GameModel} from "../../project/game-model/GameModel";
import {MatDialog} from "@angular/material/dialog";
import {TemplateCreatorComponent} from "../gamesystem-editor/template-creator/template-creator.component";
import {TemplateType} from "../../project/game-model/TemplateType";

@Component({
  selector: 'app-character-editor',
  templateUrl: './character-editor.component.html',
  styleUrl: './character-editor.component.scss'
})
export class CharacterEditorComponent {

  @Input() character: Character | undefined
  @Input() gameModel: GameModel | undefined

  constructor(private dialog: MatDialog) {
  }

  onOpenTemplateCreator() {
    const dialogRef = this.dialog.open(TemplateCreatorComponent, {
      data: this.gameModel!.listGamesystems(TemplateType.CHARACTER),
      minWidth: "400px"
    })

    dialogRef.afterClosed().subscribe(res => {
      if(res != undefined) {
        this.character!.addCharacterSpecificGamesystem(res)
      }
    })
  }
}
