import {Component, Inject} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef, MatDialogTitle} from "@angular/material/dialog";
import {SimpleTemplateGamesystem} from "../../../project/game-model/gamesystems/SimpleTemplateGamesystem";
import {FormControl, Validators} from "@angular/forms";

@Component({
  selector: 'app-template-creator',
  templateUrl: './template-creator.component.html',
  styleUrl: './template-creator.component.scss'
})
export class TemplateCreatorComponent {

  templateCtrl = new FormControl('', [Validators.required]);

  constructor(@Inject(MAT_DIALOG_DATA) public templateGamesystems: SimpleTemplateGamesystem<any>[],
              private dialogRef: MatDialogRef<TemplateCreatorComponent>)  {
  }

  cancel() {
    this.dialogRef.close();
  }

  save() {
    this.dialogRef.close(this.templateCtrl.value)
  }
}
